<?php defined('SYSPATH') OR die('No direct access allowed.');

require_once 'op5/mayi.php';

$ninja_base_path = '/opt/monitor/op5/ninja';
require_once $ninja_base_path.'/modules/lsfilter/models/base/baseobject.php';
require_once $ninja_base_path.'/modules/lsfilter/models/object.php';
require_once $ninja_base_path.'/modules/auth/models/base/baseuser.php';
require_once $ninja_base_path.'/modules/auth/models/user.php';
require_once $ninja_base_path.'/modules/auth/models/user_noauth.php';
require_once $ninja_base_path.'/modules/auth/models/base/baseauthmodule.php';
require_once $ninja_base_path.'/modules/auth/models/authmodule.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterVisitor.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/NativeFilterBuilderVisitor.php';
require_once $ninja_base_path.'/application/models/module_manifest.php';
require_once $ninja_base_path.'/modules/orm/libraries/ORMDriverInterface.php';
require_once $ninja_base_path.'/modules/orm/libraries/ORMDriverNative.php';
require_once $ninja_base_path.'/modules/orm/libraries/ORMDriverYAML.php';
require_once $ninja_base_path.'/modules/lsfilter/models/base/baseobjectset.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterBase.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterBoolOp.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterMatch.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterNot.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterOr.php';
require_once $ninja_base_path.'/modules/lsfilter/libraries/LivestatusFilterAnd.php';
require_once $ninja_base_path.'/modules/lsfilter/models/objectset.php';
require_once $ninja_base_path.'/modules/auth/models/base/baseauthmoduleset.php';
require_once $ninja_base_path.'/modules/auth/models/authmoduleset.php';
require_once $ninja_base_path.'/modules/lsfilter/models/base/baseobjectpool.php';
require_once $ninja_base_path.'/modules/lsfilter/models/objectpool.php';
require_once $ninja_base_path.'/modules/auth/models/base/baseauthmodulepool.php';
require_once $ninja_base_path.'/modules/auth/models/authmodulepool.php';

require_once 'op5/auth/Auth.php';

class Ninja_Auth_Model extends Auth_Model {
	public function __construct() {
		Session::instance(); /* Make sure session is loaded */

		$user = op5auth::instance()->get_user();

		/* Set username for ordinary pnp auth (which uses livestatus) */
		$_SERVER['REMOTE_USER'] = $user->get_username();

		parent::__construct();

		if (!$user->logged_in() && ($_SERVER['REMOTE_ADDR'] === '127.0.0.1' || $_SERVER['REMOTE_ADDR'] === '::1')) {
			/* Disable auth if we're in PDF generating mode, because teh complications */
			$this->AUTH_ENABLED = false;
		} else if (!$user->logged_in()) {
			//Redirect to login if user not logged in
			header("Location: https://".$_SERVER['SERVER_NAME']."/monitor/index.php");
			exit(1);
		}
		else {
			/* Fake allowed_for_* config so we have access if we should */
			if( $user->authorized_for('host_view_all') )
				$this->config->conf['allowed_for_all_hosts'] .= ','.$user->get_username();
			if( $user->authorized_for('service_view_all') )
				$this->config->conf['allowed_for_all_services'] .= ','.$user->get_username();
		}
	}
}
