<?php
#
# Copyright (c) 2006-2008 Joerg Linge (http://www.pnp4nagios.org)
# Plugin: check_icmp [Multigraph]
# $Id$

# RTA
#
$ds_name[1] = "Round Trip Times";
$opt[1] = "--vertical-label \"RTA\"  --title \"Ping times for $hostname\" ";

// We only check the storage type of the first data source since they are always
// the same in all data sources (apparently).
$first_storage_type = reset($RRD_STORAGE_TYPE);
if ($first_storage_type == 'MULTIPLE') {
    $def[1] = "DEF:var1=$RRDFILE[2]:$DS[1]:AVERAGE ";
} else {
    // Single mode RRD files.
    $def[1] = "DEF:var1=$rrdfile:$DS[2]:AVERAGE ";
}

$def[1] .= rrd::gradient("var1", "CAE6F2", "CAE6F2", "Round Trip Times", 20);

if ($first_storage_type == 'MULTIPLE') {
    $def[1] .= "GPRINT:var1:LAST:\"%6.2lf $UNIT[1] last \" ";
    $def[1] .= "GPRINT:var1:MAX:\"%6.2lf $UNIT[1] max \" ";
    $def[1] .= "GPRINT:var1:AVERAGE:\"%6.2lf $UNIT[1] avg \\n\" ";
    $def[1] .= "LINE1:var1#0098CF:\"\" ";
    $def[1] .= "HRULE:$WARN[1]#efe797:\"\" ";
} else {
    $def[1] .= "GPRINT:var1:LAST:\"%6.2lf $UNIT[2] last \" ";
    $def[1] .= "GPRINT:var1:MAX:\"%6.2lf $UNIT[2] max \" ";
    $def[1] .= "GPRINT:var1:AVERAGE:\"%6.2lf $UNIT[2] avg \\n\" ";
    $def[1] .= "LINE1:var1#0098CF:\"\" ";
    $def[1] .= "HRULE:$WARN[2]#efe797:\"\" ";
}


# Packets
#
$ds_name[2] = "Packets";
$opt[2] = "--vertical-label \"Packets\" -l0 -u6 --title \"Packets for $hostname\" ";

if ($first_storage_type == 'MULTIPLE') {
    $def[2] = "DEF:var1=$RRDFILE[1]:$DS[1]:AVERAGE ";
} else {
    $def[2] = "DEF:var1=$rrdfile:$DS[1]:AVERAGE ";
}

$def[2] .= rrd::gradient("var1", "CAE6F2", "CAE6F2", "Packets", 20);

$def[2] .= "GPRINT:var1:LAST:\"%6.2lg $UNIT[1] last \" " ;
$def[2] .= "GPRINT:var1:MAX:\"%6.2lg $UNIT[1] max \" " ;
$def[2] .= "GPRINT:var1:AVERAGE:\"%6.2lg $UNIT[1] avg \\n\" " ;
$def[2] .= "LINE1:var1#0098CF: " ;
$def[2] .= "HRULE:100#0098CF:\"\" " ;
$def[2] .= "HRULE:$WARN[1]#efe797:\"Warning $WARN[1] \" " ;
$def[2] .= "HRULE:$CRIT[1]#ff9977:\"Critical $CRIT[1] \" " ;


# Packets Lost
#
if (count($DS) == 3) {
    $ds_name[3] = "Packets lost";
    $opt[3] = "--vertical-label \"Packets lost\" -l0 -u100 --title \"Packets lost for $hostname\" ";

    if ($first_storage_type == 'MULTIPLE') {
        $def[3] = "DEF:var1=$RRDFILE[3]:$DS[1]:AVERAGE ";
    } else {
        $def[3] = "DEF:var1=$rrdfile:$DS[3]:AVERAGE " ;
    }

    $def[3] .= rrd::gradient("var1", "CAE6F2", "CAE6F2", "Packets lost", 20);

    if ($first_storage_type == 'MULTIPLE') {
        $def[3] .= "GPRINT:var1:LAST:\"%6.2lf $UNIT[1] last \" ";
        $def[3] .= "GPRINT:var1:MAX:\"%6.2lf $UNIT[1] max \" ";
        $def[3] .= "GPRINT:var1:AVERAGE:\"%6.2lf $UNIT[1] avg \\n\" ";
        $def[3] .= "LINE1:var1#0098CF: ";
        $def[3] .= "HRULE:100#0098CF:\"\" ";
        $def[3] .= "HRULE:$WARN[1]#efe797:\"Warning $WARN[1] \" ";
        $def[3] .= "HRULE:$CRIT[1]#ff9977:\"Critical $CRIT[1] \" ";
    } else {
        $def[3] .= "GPRINT:var1:LAST:\"%6.2lf $UNIT[3] last \" ";
        $def[3] .= "GPRINT:var1:MAX:\"%6.2lf $UNIT[3] max \" ";
        $def[3] .= "GPRINT:var1:AVERAGE:\"%6.2lf $UNIT[3] avg \\n\" ";
        $def[3] .= "LINE1:var1#0098CF: ";
        $def[3] .= "HRULE:100#0098CF:\"\" ";
        $def[3] .= "HRULE:$WARN[3]#efe797:\"Warning $WARN[3] \" ";
        $def[3] .= "HRULE:$CRIT[3]#ff9977:\"Critical $CRIT[3] \" ";
    }
}

?>