<?php
#
# Main cpu usage part that is monitored in $def[1].
# The rest of them goes into $def[2]
#

if (!defined('get_rrd_graph_label')) {
	define('get_rrd_graph_label', 1);

	function get_rrd_graph_label($in_name) {
		$tmp_cmd_name = explode('!', $in_name);
		$ret_val = explode('_', $tmp_cmd_name[0]);
		return($ret_val[5]);
	}
}

if (!defined('get_rrd_graph_ds_index')) {
	define('get_rrd_graph_ds_index', 1);

	function get_rrd_graph_ds_index($in_label, $in_name) {
		$ret_val = "";
		foreach($in_name as $key=>$n) {
			if ($in_name[$key] == $in_label) {
				$ret_val = $key;
			}
		}
		return($ret_val);
	}
}

$ds_name[1] = get_rrd_graph_label($NAGIOS_SERVICECHECKCOMMAND);
$data_src = get_rrd_graph_ds_index($ds_name[1], $NAME);
$opt[1]  = "--vertical-label \"Percent\"  --title \"Cpu usage $ds_name[1]\" -u 100 -l 0";
$def[1]  =  rrd::def("var1", $RRDFILE[$data_src], $DS[$data_src], "AVERAGE") ;
$def[1] .=  rrd::gradient("var1", "CAE6F2", "CAE6F2", $ds_name[1], 20) ;
$def[1] .=  rrd::gprint("var1", array("LAST", "MIN", "MAX", "AVERAGE"), "%6.2lf $UNIT[$data_src]") ;
$def[1] .=  rrd::line1("var1", "#000000") ;

if($WARN[$data_src] != ""){
	if($UNIT[$data_src] == "%%"){ $UNIT[$data_src] = "%"; };
  	$def[1] .= rrd::hrule($WARN[$data_src], "#FFFF00", "Warning  ".$WARN[$data_src].$UNIT[$data_src]."\\n");
}
if($CRIT[$data_src] != ""){
	if($UNIT[$data_src] == "%%"){ $UNIT[$data_src] = "%"; };
  	$def[1] .= rrd::hrule($CRIT[$data_src], "#FF0000", "Critical ".$CRIT[$data_src].$UNIT[$data_src]."\\n");
}

#
# User, system, iowait, steal, nice usage.
#
$opt[2] = "--vertical-label \"Percent\" --title \"Cpu usage\" -u 100 -l 0";
$ds_name[2] = "";
$def[2] = '';
for($i=1; $i <= sizeof($DS); $i++) {
	if ($LABEL[$i] != "idle" && $LABEL[$i] != "total") {
		$ds_name[2] .= $LABEL[$i] . " ";
		$def[2] .= rrd::def("var$i", $RRDFILE[$i], $DS[$i] , "AVERAGE") ;
		$def[2] .= rrd::area("var$i", rrd::color($i), rrd::cut(ucfirst($LABEL[$i]),12), 'STACK' );
		$def[2] .= rrd::gprint("var$i", array('LAST', 'MIN', 'MAX', 'AVERAGE'), "%4.0lf" . "%%");
	}
}
?>
