<?php

# Template for check_linux_stats -M (mem and swap usage)

$color_list = array(
	1  => "#5C74D5", // Blue
	2  => "#BD5CD5", // Purple
	3  => "#D55C99", // Red
	4  => "#0F0551", // Grey
	5  => "#D5A15C", // Brown
	6  => "#5CD58C", // Green
	7  => "#5CD58C", // Green
);
# First we take care of mem usage:
$coloridx = 0;

$opt[1] = "--vertical-label \"GigaBytes\" --title \"Memory Usage\" --slope-mode --units-exponent 9 -l 0 --base 1024";
$ds_name[1] = "Memory Usage";
$def[1] = '';

#$coloridx = 5;
for($i=1; $i <= sizeof($DS); $i++) {
	if ($coloridx == count($color_list)) {
		$coloridx = 1;
	} else {
		$coloridx++;
	}
	if ($LABEL[$i] != "Active" && substr($LABEL[$i], 0, 4) != "Swap") {
		$def[1] .= rrd::def("var$i", $RRDFILE[$i], $DS[$i] , "AVERAGE") ;

		$def[1] .= rrd::cdef("var_b$i", "var$i,1024,*");
		$def[1] .= rrd::cdef("var_m$i", "var$i,1024,/");
		$def[1] .= rrd::area("var_b$i", "$color_list[$coloridx]70", rrd::cut(ucfirst($LABEL[$i]),20), "STACK");
		$def[1] .= rrd::gprint("var_m$i", array('MAX', 'AVERAGE', 'LAST'), "%2.0lfMB");

		if ($WARN[$i] != "") {
			$warning = sprintf('%d', $WARN[$i] / 1024);
			$warning_hrule = sprintf('%d', $WARN[$i] * 1024);
			$def[1] .= rrd::comment(' ');
			$def[1] .= rrd::hrule($warning_hrule, "#FFFF00", "Warning  ".$warning."MB");
		}
		if ($CRIT[$i] != "") {
			$critical = sprintf('%d', $CRIT[$i] / 1024);
			$critical_hrule = sprintf('%d', $CRIT[$i] * 1024);
			$def[1] .= rrd::hrule($critical_hrule, "#FF0000", "Critical ".$critical."MB\\n");
		}

	}
}

# Second graph will show swap usage.
$opt[2] = "--vertical-label \"GigaBytes\" --title \"Swap Usage\" --slope-mode --units-exponent 9 -l 0 --base 1024";
$ds_name[2] = "Swap Usage";
$def[2] = '';

$coloridx = 0;
for($i=1; $i <= sizeof($DS); $i++) {
	if ($coloridx == count($color_list)) {
		$coloridx = 1;
	} else {
		$coloridx++;
	}
	if (substr($LABEL[$i], 0, 4) == "Swap") {
		$def[2] .= rrd::def("var$i", $RRDFILE[$i], $DS[$i] , "AVERAGE") ;

		$def[2] .= rrd::cdef("var_b$i", "var$i,1024,*");
		$def[2] .= rrd::cdef("var_m$i", "var$i,1024,/");
		$def[2] .= rrd::area("var_b$i", "$color_list[$coloridx]70", rrd::cut(ucfirst($LABEL[$i]),20), "STACK");
		$def[2] .= rrd::gprint("var_m$i", array('MAX', 'AVERAGE', 'LAST'), "%2.0lfMB");

		if ($WARN[$i] != "") {
			$warning = sprintf('%d', $WARN[$i] / 1024);
			$warning_hrule = sprintf('%d', $WARN[$i] * 1024);
			$def[2] .= rrd::comment(' ');
			$def[2] .= rrd::hrule($warning_hrule, "#FFFF00", "Warning  ".$warning."MB");
		}
		if ($CRIT[$i] != "") {
			$critical = sprintf('%d', $CRIT[$i] / 1024);
			$critical_hrule = sprintf('%d', $CRIT[$i] * 1024);
			$def[2] .= rrd::hrule($critical_hrule, "#FF0000", "Critical  ".$critical."MB\\n");
		}

	}
}
?>
