<?php
# set initial values
$fmt = '%3.2lf';
$divis = 1;
$unit = "bps";
$label = $unit;

if ($UNIT[1] != "") {
	$unit = $UNIT[1];
	$label = $unit;
	if ($UNIT[1] == "%%") {
		$label = '%';
		$fmt = '%3.2lf';
	}
}

if ($ACT[1] != "") {
	if ($UNIT[1] != "%%") {
		$max = pnp::adjust_unit( $ACT[1],1000,$fmt );
		switch ($max[2]) {
			case "k":
			case "K":
				$max[2] = "k";
				break;
		}
		$label = $max[2].$unit;
		$unit = $max[2].$unit;
		$divis = $max[3];
	}
}


// Warn/Crit colors
$_WARNRULE = '#FFFF00';
$_CRITRULE = '#FF0000';

$label1 = rrd::cut($LABEL[1], 15);
$label2 = rrd::cut($LABEL[2], 15);
$warning[1] = pnp::adjust_unit($WARN[1],1000,$fmt);
$warning[2] = pnp::adjust_unit($WARN[2],1000,$fmt);
$critical[1] = pnp::adjust_unit($CRIT[1],1000,$fmt);
$critical[2] = pnp::adjust_unit($CRIT[2],1000,$fmt);

// Set the title and other stuff for the rrd
$opt[1] = "--vertical-label $label --title \"Traffic For $hostname / $servicedesc\" ";
$opt[1] .= '--slope-mode ';

// Inbound
$def[1] = rrd::def('inb', $RRDFILE[1], $DS[1], 'MAX');

// Outbound
$def[1] .= rrd::def('outb', $RRDFILE[2], $DS[2], 'MAX');

// Alias for Outbound, make it inverted to display downwards
$def[1] .= rrd::cdef('outbi', 'outb,-1,*');

// Plot inbound
$def[1] .= rrd::cdef("inb_norm","inb,$divis,/");
$def[1] .= rrd::gradient('inb','f0f0f0','0000a0',$label1,15);
$def[1] .= rrd::gprint( "inb_norm", "LAST", "$fmt$unit LAST");
$def[1] .= rrd::gprint( "inb_norm", "MAX", "$fmt$unit MAX");
$def[1] .= rrd::gprint( "inb_norm", "AVERAGE", "$fmt$unit AVERAGE \\n");

// Plot outbound
$def[1] .= rrd::cdef("outb_norm","outb,$divis,/");
$def[1] .= rrd::gradient('outbi','ffff42','2A9732',$label2,15);
$def[1] .= rrd::gprint( "outb_norm", "LAST", "$fmt$unit LAST");
$def[1] .= rrd::gprint( "outb_norm", "MAX", "$fmt$unit MAX");
$def[1] .= rrd::gprint( "outb_norm", "AVERAGE", "$fmt$unit AVERAGE");

$def[1] .= rrd::comment("  \\l");
$def[1] .= rrd::hrule($WARN[1], $_WARNRULE, "Inbound Warning on " . $warning[1][0]."bps");
$def[1] .= rrd::hrule("-" . $WARN[2], $_WARNRULE, "Outbound Warning on " . $warning[2][0]."bps");
$def[1] .= rrd::hrule($CRIT[1], $_CRITRULE, "Inbound Critical on " . $critical[1][0]."bps");
$def[1] .= rrd::hrule("-" . $CRIT[2], $_CRITRULE, "Outbound Critical on " . $critical[2][0]."bps");
?>
