<?php
if (!isset($title)) {
	$title = "";
}

if (!isset($comment)) {
	$comment = "";
}

if (!isset($type)) {
	$type = 'line1';
}

if (!isset($services)) {
	if (isset($hosts) && isset($service))
		$services = array_map(function ($hst) use ($service) {return "$hst;$service";}, $hosts);
	else
		$services = array();
}

$this->MACRO['TITLE']   = "$title";
$this->MACRO['COMMENT'] = "$comment";
#
# The Datasource Name for Graph 1 ( index 0 )
$ds_name[0] = "$title"; 
$opt[0]     = "--title \"$title\"";
$def[0]     = "";
$key=0;
#
# Iterate through the list of hosts
foreach($services as $service){
	if (strpos($service, ';') !== false) {
		list($host, $svc) = explode(';', $service);
	} else {
		$host = $service;
		$svc = '_HOST_';
	}
	$host = pnp::clean($host);
	$svc = pnp::clean($svc);
	# get the data for a given Host/Service
	try {
		$a = $this->tplGetData($host,$svc);
	} catch (Kohana_Exception $e) {
		continue;
	}
	$unit = $a['DS'][0]['UNIT'];
	$def[0]    .= rrd::def("a$key" ,$a['DS'][0]['RRDFILE'], $a['DS'][0]['DS'], "AVERAGE");
	switch ($type) {
		case 'area':
		case 'line1':
		case 'line2':
		case 'line3':
			$def[0]    .= rrd::$type("a$key", rrd::color($key), rrd::cut($a['MACRO']['HOSTNAME'].';'.$a['MACRO']['SERVICEDESC'],40).'\\l',"STACKED");
			break;
	}
	$def[0]    .= rrd::comment("\\u");
	$def[0]    .= rrd::gprinta("a$key", array("MIN", "MAX", "LAST"), "%.2lf%s", 'r');
	$key++;
}
